package com.zj365.health.vm

import androidx.lifecycle.MutableLiveData
import com.xty.base.vm.BaseVm
import com.xty.network.model.HealthBodyBean
import com.xty.network.model.RespBody

class HealthCodeMainVm : BaseVm() {

    val allBodyLiveData by lazy { MutableLiveData<RespBody<MutableList<HealthBodyBean>>>() }
    fun getAllBody(){

        startHttp {
            val body = apiInterface().getAllBody()
            body.getCodeStatus(allBodyLiveData, nowData)
        }
    }
}